use hypertext::{maud, GlobalAttributes, Renderable};

use crate::ui::html_elements;

pub fn main_page(body: impl Renderable) -> impl Renderable {
    maud! {
        !DOCTYPE
        html lang="en" {
            head {
                meta charset="UTF-8";
                meta name="viewport" content="width=device-width, initial-scale=1.0";
                title { "LLM Chat App" }
                script type="module" src="/dist/datastar.min.js" {}
                link rel="stylesheet" href="/dist/main.min.css";
                link rel="icon" href="/dist/favicon.ico";
            }
            body class="bg-gray-100" {
                (body)
            }
        }
    }
}
